# classes/phing/mappers/RegexpMapper.php

## \RegexpMapper
jump to top

Uses regular expressions to perform filename transformations.

Implements
  \FileNameMapper
author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing.mappers
version
  $Revision: 526 $

### Properties

`\Regexp $reg= ''`

The Regexp engine.

Details

Type
  \Regexp

`string $to= ''`

Details

Type
  string

### Methods

`__construct( ) :`
`main( $sourceFileName ) :`
Parameters

Name | Type | Description
--- | --- | ---
$sourceFileName |  |

`replaceReferences( string $source ) :`
Replace all backreferences in the to pattern with the matched groups.

groups of the source.

Parameters

Name | Type | Description
--- | --- | ---
$source | string | The source filename.

`setFrom( $from ) :`
Sets the "from" pattern. Required.
Parameters

Name | Type | Description
--- | --- | ---
$from |  |

`setTo( $to ) :`
Sets the "to" pattern. Required.
Parameters

Name | Type | Description
--- | --- | ---
$to |  |

Documentation was generated by DocBlox 0.13.1.